// Reminder: Modify typemap.dat to customize the header file generated by wsdl2h
/* OrdersManager.h
   Generated by wsdl2h 2.8.22 from OrdersManager.wsdl and typemap.dat
   2015-11-26 11:10:55 GMT

   DO NOT INCLUDE THIS FILE DIRECTLY INTO YOUR PROJECT BUILDS
   USE THE soapcpp2-GENERATED SOURCE CODE FILES FOR YOUR PROJECT BUILDS

   gSOAP XML Web services tools.
   Copyright (C) 2000-2015 Robert van Engelen, Genivia Inc. All Rights Reserved.
   Part of this software is released under one of the following licenses:
   GPL or Genivia's license for commercial use.
*/

/** @page page_notes Notes

@note HINTS:
 - Run soapcpp2 on OrdersManager.h to generate the SOAP/XML processing logic.
   Use soapcpp2 -I to specify paths for #import
   To build with STL, 'stlvector.h' is imported from 'import' dir in package.
   Use soapcpp2 -j to generate improved proxy and server classes.
 - Use wsdl2h -c and -s to generate pure C code or C++ code without STL.
 - Use 'typemap.dat' to control namespace bindings and type mappings.
   It is strongly recommended to customize the names of the namespace prefixes
   generated by wsdl2h. To do so, modify the prefix bindings in the Namespaces
   section below and add the modified lines to 'typemap.dat' to rerun wsdl2h.
 - Use Doxygen (www.doxygen.org) on this file to generate documentation.
 - Use wsdl2h -R to generate REST operations.
 - Use wsdl2h -nname to use name as the base namespace prefix instead of 'ns'.
 - Use wsdl2h -Nname for service prefix and produce multiple service bindings
 - Use wsdl2h -d to enable DOM support for xsd:anyType.
 - Use wsdl2h -g to auto-generate readers and writers for root elements.
 - Use wsdl2h -b to auto-generate bi-directional operations (duplex ops).
 - Struct/class members serialized as XML attributes are annotated with a '@'.
 - Struct/class members that have a special role are annotated with a '$'.

@warning
   DO NOT INCLUDE THIS ANNOTATED FILE DIRECTLY IN YOUR PROJECT SOURCE CODE.
   USE THE FILES GENERATED BY soapcpp2 FOR YOUR PROJECT'S SOURCE CODE:
   THE soapStub.h FILE CONTAINS THIS CONTENT WITHOUT ANNOTATIONS.

@copyright LICENSE:
@verbatim
--------------------------------------------------------------------------------
gSOAP XML Web services tools
Copyright (C) 2000-2015, Robert van Engelen, Genivia Inc. All Rights Reserved.

This software is released under one of the following licenses:
GPL or Genivia's license for commercial use.
--------------------------------------------------------------------------------
GPL license.

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place, Suite 330, Boston, MA 02111-1307 USA

Author contact information:
engelen@genivia.com / engelen@acm.org

This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial-use license is available from Genivia, Inc., contact@genivia.com
--------------------------------------------------------------------------------
@endverbatim

*/


//gsoapopt w

/******************************************************************************\
 *                                                                            *
 * Definitions                                                                *
 *   http://www.ordersmanager.ru/                                             *
 *                                                                            *
\******************************************************************************/

/* WSDL Documentation:

Online orders manager service

*/


/******************************************************************************\
 *                                                                            *
 * Import                                                                     *
 *                                                                            *
\******************************************************************************/


// STL vector containers (use option -s to remove STL dependency)
#import "stlvector.h"

/******************************************************************************\
 *                                                                            *
 * Schema Namespaces                                                          *
 *                                                                            *
\******************************************************************************/


/* NOTE:

It is strongly recommended to customize the names of the namespace prefixes
generated by wsdl2h. To do so, modify the prefix bindings below and add the
modified lines to typemap.dat to rerun wsdl2h:

ns1 = "http://www.ordersmanager.ru/"

*/

#define SOAP_NAMESPACE_OF_ns1	"http://www.ordersmanager.ru/"
//gsoap ns1   schema namespace:	http://www.ordersmanager.ru/
//gsoap ns1   schema form:	unqualified

/******************************************************************************\
 *                                                                            *
 * Built-in Schema Types and Top-Level Elements and Attributes                *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Forward Declarations                                                       *
 *                                                                            *
\******************************************************************************/


//  Forward declaration of class ns1__clientAuthorizationInfoType.
class ns1__clientAuthorizationInfoType;

//  Forward declaration of class ns1__clientBaseInfoType.
class ns1__clientBaseInfoType;

//  Forward declaration of class ns1__clientFullInfoType.
class ns1__clientFullInfoType;

//  Forward declaration of class ns1__OrderType.
class ns1__OrderType;

//  Forward declaration of class ns1__idListType.
class ns1__idListType;

//  Forward declaration of class ns1__OrdersListType.
class ns1__OrdersListType;

//  Forward declaration of class ns1__OrdersQueryType.
class ns1__OrdersQueryType;


/******************************************************************************\
 *                                                                            *
 * Schema Types and Top-Level Elements and Attributes                         *
 *   http://www.ordersmanager.ru/                                             *
 *                                                                            *
\******************************************************************************/

/// @brief "http://www.ordersmanager.ru/":responseCodeType is a simpleType restriction of XSD type xs:string.
///
/// @note The enum values are prefixed with "ns1__responseCodeType__" to avoid name clashes, please use wsdl2h option -e to omit this prefix
enum ns1__responseCodeType
{
	ns1__responseCodeType__Success,	///< xs:string value="Success"
	ns1__responseCodeType__Failure,	///< xs:string value="Failure"
	ns1__responseCodeType__EmailFailure,	///< xs:string value="EmailFailure"
	ns1__responseCodeType__PasswordFailure,	///< xs:string value="PasswordFailure"
	ns1__responseCodeType__FirstnameFailure,	///< xs:string value="FirstnameFailure"
	ns1__responseCodeType__PatronymicFailure,	///< xs:string value="PatronymicFailure"
	ns1__responseCodeType__LastnameFailure,	///< xs:string value="LastnameFailure"
};

/// @brief Typedef synonym for enum ns1__responseCodeType.
typedef enum ns1__responseCodeType ns1__responseCodeType;

/******************************************************************************\
 *                                                                            *
 * Schema Complex Types and Top-Level Elements                                *
 *   http://www.ordersmanager.ru/                                             *
 *                                                                            *
\******************************************************************************/

/// @brief "http://www.ordersmanager.ru/":clientAuthorizationInfoType is a complexType.
///
/// class ns1__clientAuthorizationInfoType operations:
/// - soap_new_ns1__clientAuthorizationInfoType(soap*) allocate
/// - soap_new_ns1__clientAuthorizationInfoType(soap*, int num) allocate array
/// - soap_new_req_ns1__clientAuthorizationInfoType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__clientAuthorizationInfoType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__clientAuthorizationInfoType(soap*, ns1__clientAuthorizationInfoType*) deserialize from a stream
/// - int soap_write_ns1__clientAuthorizationInfoType(soap, ns1__clientAuthorizationInfoType*) serialize to a stream
class ns1__clientAuthorizationInfoType
{ public:
/// Element "email" of XSD type xs:string.
    std::string                          email                          1;	///< Required element.
/// Element "passwd" of XSD type xs:string.
    std::string                          passwd                         1;	///< Required element.
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":clientBaseInfoType is a complexType.
///
/// class ns1__clientBaseInfoType operations:
/// - soap_new_ns1__clientBaseInfoType(soap*) allocate
/// - soap_new_ns1__clientBaseInfoType(soap*, int num) allocate array
/// - soap_new_req_ns1__clientBaseInfoType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__clientBaseInfoType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__clientBaseInfoType(soap*, ns1__clientBaseInfoType*) deserialize from a stream
/// - int soap_write_ns1__clientBaseInfoType(soap, ns1__clientBaseInfoType*) serialize to a stream
class ns1__clientBaseInfoType
{ public:
/// Element "FirstName" of XSD type xs:string.
    std::string                          FirstName                      1;	///< Required element.
/// Element "LastName" of XSD type xs:string.
    std::string                          LastName                       1;	///< Required element.
/// Element "Patronymic" of XSD type xs:string.
    std::string                          Patronymic                     1;	///< Required element.
/// Element "phone" of XSD type xs:string.
    std::string                          phone                          1;	///< Required element.
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":clientFullInfoType is a complexType.
///
/// class ns1__clientFullInfoType operations:
/// - soap_new_ns1__clientFullInfoType(soap*) allocate
/// - soap_new_ns1__clientFullInfoType(soap*, int num) allocate array
/// - soap_new_req_ns1__clientFullInfoType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__clientFullInfoType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__clientFullInfoType(soap*, ns1__clientFullInfoType*) deserialize from a stream
/// - int soap_write_ns1__clientFullInfoType(soap, ns1__clientFullInfoType*) serialize to a stream
class ns1__clientFullInfoType
{ public:
/// Element "authInfo" of XSD type "http://www.ordersmanager.ru/":clientAuthorizationInfoType.
    ns1__clientAuthorizationInfoType*    authInfo                       1;	///< Required element.
/// Element "baseInfo" of XSD type "http://www.ordersmanager.ru/":clientBaseInfoType.
    ns1__clientBaseInfoType*             baseInfo                       1;	///< Required element.
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":OrderType is a complexType.
///
/// class ns1__OrderType operations:
/// - soap_new_ns1__OrderType(soap*) allocate
/// - soap_new_ns1__OrderType(soap*, int num) allocate array
/// - soap_new_req_ns1__OrderType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__OrderType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__OrderType(soap*, ns1__OrderType*) deserialize from a stream
/// - int soap_write_ns1__OrderType(soap, ns1__OrderType*) serialize to a stream
class ns1__OrderType
{ public:
/// Element "id" of XSD type xs:int.
    int                                  id                             1;	///< Required element.
/// Element "idDoer" of XSD type xs:int.
    int                                  idDoer                         1;	///< Required element.
/// Element "idOwner" of XSD type xs:int.
    int                                  idOwner                        1;	///< Required element.
/// Element "idDestination" of XSD type xs:int.
    int                                  idDestination                  1;	///< Required element.
/// Element "idBusiness" of XSD type xs:int.
    int                                  idBusiness                     1;	///< Required element.
/// Element "Header" of XSD type xs:string.
    std::string                          Header                         1;	///< Required element.
/// Element "Description" of XSD type xs:string.
    std::string                          Description                    1;	///< Required element.
/// Element "Price" of XSD type xs:string.
    std::string                          Price                          1;	///< Required element.
/// Element "Deadline" of XSD type xs:string.
    std::string                          Deadline                       1;	///< Required element.
/// Element "isFinished" of XSD type xs:boolean.
    bool                                 isFinished                     1;	///< Required element.
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":idListType is a complexType.
///
/// class ns1__idListType operations:
/// - soap_new_ns1__idListType(soap*) allocate
/// - soap_new_ns1__idListType(soap*, int num) allocate array
/// - soap_new_req_ns1__idListType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__idListType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__idListType(soap*, ns1__idListType*) deserialize from a stream
/// - int soap_write_ns1__idListType(soap, ns1__idListType*) serialize to a stream
class ns1__idListType
{ public:
/// Vector of int of length 0..unbounded.
    std::vector<int                    > id                             0;
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":OrdersListType is a complexType.
///
/// class ns1__OrdersListType operations:
/// - soap_new_ns1__OrdersListType(soap*) allocate
/// - soap_new_ns1__OrdersListType(soap*, int num) allocate array
/// - soap_new_req_ns1__OrdersListType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__OrdersListType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__OrdersListType(soap*, ns1__OrdersListType*) deserialize from a stream
/// - int soap_write_ns1__OrdersListType(soap, ns1__OrdersListType*) serialize to a stream
class ns1__OrdersListType
{ public:
/// Vector of ns1__OrderType* of length 0..unbounded.
    std::vector<ns1__OrderType*        > data                           0;
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};

/// @brief "http://www.ordersmanager.ru/":OrdersQueryType is a complexType.
///
/// class ns1__OrdersQueryType operations:
/// - soap_new_ns1__OrdersQueryType(soap*) allocate
/// - soap_new_ns1__OrdersQueryType(soap*, int num) allocate array
/// - soap_new_req_ns1__OrdersQueryType(soap*, ...) allocate, set required members
/// - soap_new_set_ns1__OrdersQueryType(soap*, ...) allocate, set all public members
/// - int soap_read_ns1__OrdersQueryType(soap*, ns1__OrdersQueryType*) deserialize from a stream
/// - int soap_write_ns1__OrdersQueryType(soap, ns1__OrdersQueryType*) serialize to a stream
class ns1__OrdersQueryType
{ public:
/// Element "id" of XSD type xs:int.
    int                                  id                             1;	///< Required element.
/// Element "idDoer" of XSD type xs:int.
    int                                  idDoer                         1;	///< Required element.
/// Element "idOwner" of XSD type xs:int.
    int                                  idOwner                        1;	///< Required element.
/// Element "idDestination" of XSD type xs:int.
    int                                  idDestination                  1;	///< Required element.
/// Element "idBusiness" of XSD type xs:int.
    int                                  idBusiness                     1;	///< Required element.
/// Element "isFinished" of XSD type xs:boolean.
    bool                                 isFinished                     1;	///< Required element.
/// A handle to the soap struct that manages this instance (automatically set).
    struct soap                         *soap                          ;
};


/******************************************************************************\
 *                                                                            *
 * Additional Top-Level Elements                                              *
 *   http://www.ordersmanager.ru/                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Additional Top-Level Attributes                                            *
 *   http://www.ordersmanager.ru/                                             *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Services                                                                   *
 *                                                                            *
\******************************************************************************/

// This service supports SOAP 1.2 namespaces:
#import "soap12.h"

//gsoap ns1  service name:	OrdersManagerBinding 
//gsoap ns1  service type:	OrdersManagerPortType 
//gsoap ns1  service port:	192.168.0.1:8080 
//gsoap ns1  service namespace:	http://www.ordersmanager.ru/ 
//gsoap ns1  service transport:	http://schemas.xmlsoap.org/soap/http 

/** @mainpage OrdersManagerWsdl Definitions

@section OrdersManagerWsdl_documentation Documentation
Online orders manager service


@section OrdersManagerWsdl_bindings Service Bindings

  - @ref OrdersManagerBinding

@section OrdersManagerWsdl_more More Information

  - @ref page_notes "Notes"

  - @ref page_XMLDataBinding "XML Data Binding"

  - @ref SOAP_ENV__Header "SOAP Header Content" (when applicable)

  - @ref SOAP_ENV__Detail "SOAP Fault Detail Content" (when applicable)


*/

/**

@page OrdersManagerBinding Binding "OrdersManagerBinding"

@section OrdersManagerBinding_operations Operations of Binding "OrdersManagerBinding"

  - @ref __ns1__GetResponseCodeString

  - @ref __ns1__GetUserId

  - @ref __ns1__GetBusinessName

  - @ref __ns1__GetIdBusinessList

  - @ref __ns1__GetUserInfo

  - @ref __ns1__Registration

  - @ref __ns1__Authorization

  - @ref __ns1__SendOrder

  - @ref __ns1__TakeOrder

  - @ref __ns1__FinishOrder

  - @ref __ns1__FindOrders

@section OrdersManagerBinding_ports Endpoints of Binding "OrdersManagerBinding"

  - 192.168.0.1:8080

@note Use wsdl2h option -Nname to change the service binding prefix name


*/

/******************************************************************************\
 *                                                                            *
 * Service Binding                                                            *
 *   OrdersManagerBinding                                                     *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__GetResponseCodeString                                             *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__GetResponseCodeString" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__GetResponseCodeString(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    enum ns1__responseCodeType          code,
    // output parameters:
    std::string                        &str
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__GetResponseCodeString(
    struct soap *soap,
    // input parameters:
    enum ns1__responseCodeType          code,
    // output parameters:
    std::string                        &str
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	GetResponseCodeString SOAP
//gsoap ns1  service method-style:	GetResponseCodeString document
//gsoap ns1  service method-encoding:	GetResponseCodeString literal
//gsoap ns1  service method-action:	GetResponseCodeString ""
//gsoap ns1  service method-output-action:	GetResponseCodeString Response
int __ns1__GetResponseCodeString(
    enum ns1__responseCodeType          code,	///< Input parameter
    std::string                        &str	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__GetUserId                                                         *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__GetUserId" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__GetUserId(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    std::string                         str,
    // output parameters:
    int                                &value
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__GetUserId(
    struct soap *soap,
    // input parameters:
    std::string                         str,
    // output parameters:
    int                                &value
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	GetUserId SOAP
//gsoap ns1  service method-style:	GetUserId document
//gsoap ns1  service method-encoding:	GetUserId literal
//gsoap ns1  service method-action:	GetUserId ""
//gsoap ns1  service method-output-action:	GetUserId Response
int __ns1__GetUserId(
    std::string                         str,	///< Input parameter
    int                                &value	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__GetBusinessName                                                   *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__GetBusinessName" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__GetBusinessName(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    int                                 idBusiness,
    // output parameters:
    std::string                        &str
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__GetBusinessName(
    struct soap *soap,
    // input parameters:
    int                                 idBusiness,
    // output parameters:
    std::string                        &str
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	GetBusinessName SOAP
//gsoap ns1  service method-style:	GetBusinessName document
//gsoap ns1  service method-encoding:	GetBusinessName literal
//gsoap ns1  service method-action:	GetBusinessName ""
//gsoap ns1  service method-output-action:	GetBusinessName Response
int __ns1__GetBusinessName(
    int                                 idBusiness,	///< Input parameter
    std::string                        &str	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__GetIdBusinessList                                                 *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__GetIdBusinessList" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__GetIdBusinessList(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    int                                 idParent,
    // output parameters:
    ns1__idListType                    &idBussinessList
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__GetIdBusinessList(
    struct soap *soap,
    // input parameters:
    int                                 idParent,
    // output parameters:
    ns1__idListType                    &idBussinessList
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	GetIdBusinessList SOAP
//gsoap ns1  service method-style:	GetIdBusinessList document
//gsoap ns1  service method-encoding:	GetIdBusinessList literal
//gsoap ns1  service method-action:	GetIdBusinessList ""
//gsoap ns1  service method-output-action:	GetIdBusinessList Response
int __ns1__GetIdBusinessList(
    int                                 idParent,	///< Input parameter
    ns1__idListType                    &idBussinessList	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__GetUserInfo                                                       *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__GetUserInfo" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__GetUserInfo(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    int                                 idUser,
    // output parameters:
    ns1__clientBaseInfoType            &userInfo
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__GetUserInfo(
    struct soap *soap,
    // input parameters:
    int                                 idUser,
    // output parameters:
    ns1__clientBaseInfoType            &userInfo
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	GetUserInfo SOAP
//gsoap ns1  service method-style:	GetUserInfo document
//gsoap ns1  service method-encoding:	GetUserInfo literal
//gsoap ns1  service method-action:	GetUserInfo ""
//gsoap ns1  service method-output-action:	GetUserInfo Response
int __ns1__GetUserInfo(
    int                                 idUser,	///< Input parameter
    ns1__clientBaseInfoType            &userInfo	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__Registration                                                      *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__Registration" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__Registration(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    ns1__clientFullInfoType*            info,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__Registration(
    struct soap *soap,
    // input parameters:
    ns1__clientFullInfoType*            info,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	Registration SOAP
//gsoap ns1  service method-style:	Registration document
//gsoap ns1  service method-encoding:	Registration literal
//gsoap ns1  service method-action:	Registration ""
//gsoap ns1  service method-output-action:	Registration Response
int __ns1__Registration(
    ns1__clientFullInfoType*            info,	///< Input parameter
    enum ns1__responseCodeType         &code	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__Authorization                                                     *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__Authorization" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__Authorization(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    ns1__clientAuthorizationInfoType*   authInfo,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__Authorization(
    struct soap *soap,
    // input parameters:
    ns1__clientAuthorizationInfoType*   authInfo,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	Authorization SOAP
//gsoap ns1  service method-style:	Authorization document
//gsoap ns1  service method-encoding:	Authorization literal
//gsoap ns1  service method-action:	Authorization ""
//gsoap ns1  service method-output-action:	Authorization Response
int __ns1__Authorization(
    ns1__clientAuthorizationInfoType*   authInfo,	///< Input parameter
    enum ns1__responseCodeType         &code	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__SendOrder                                                         *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__SendOrder" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__SendOrder(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    ns1__OrderType*                     order,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__SendOrder(
    struct soap *soap,
    // input parameters:
    ns1__OrderType*                     order,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	SendOrder SOAP
//gsoap ns1  service method-style:	SendOrder document
//gsoap ns1  service method-encoding:	SendOrder literal
//gsoap ns1  service method-action:	SendOrder ""
//gsoap ns1  service method-output-action:	SendOrder Response
int __ns1__SendOrder(
    ns1__OrderType*                     order,	///< Input parameter
    ns1__clientAuthorizationInfoType*   auth,	///< Input parameter
    enum ns1__responseCodeType         &code	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__TakeOrder                                                         *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__TakeOrder" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__TakeOrder(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    int                                 takeId,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__TakeOrder(
    struct soap *soap,
    // input parameters:
    int                                 takeId,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	TakeOrder SOAP
//gsoap ns1  service method-style:	TakeOrder document
//gsoap ns1  service method-encoding:	TakeOrder literal
//gsoap ns1  service method-action:	TakeOrder ""
//gsoap ns1  service method-output-action:	TakeOrder Response
int __ns1__TakeOrder(
    int                                 takeId,	///< Input parameter
    ns1__clientAuthorizationInfoType*   auth,	///< Input parameter
    enum ns1__responseCodeType         &code	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__FinishOrder                                                       *
 *                                                                            *
\******************************************************************************/


/** Operation "__ns1__FinishOrder" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__FinishOrder(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    int                                 finishId,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__FinishOrder(
    struct soap *soap,
    // input parameters:
    int                                 finishId,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    enum ns1__responseCodeType         &code
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	FinishOrder SOAP
//gsoap ns1  service method-style:	FinishOrder document
//gsoap ns1  service method-encoding:	FinishOrder literal
//gsoap ns1  service method-action:	FinishOrder ""
//gsoap ns1  service method-output-action:	FinishOrder Response
int __ns1__FinishOrder(
    int                                 finishId,	///< Input parameter
    ns1__clientAuthorizationInfoType*   auth,	///< Input parameter
    enum ns1__responseCodeType         &code	///< Output parameter
);

/******************************************************************************\
 *                                                                            *
 * Service Operation                                                          *
 *   __ns1__FindOrders                                                        *
 *                                                                            *
\******************************************************************************/

/// Operation response struct "__ns1__FindOrdersResponse" of operation "__ns1__FindOrders".
struct __ns1__FindOrdersResponse
{
    ns1__OrdersListType*                orders;
    enum ns1__responseCodeType          code;
};

/** Operation "__ns1__FindOrders" of service binding "OrdersManagerBinding".

  - SOAP document/literal style messaging

  - Addressing input action: ""

  - Addressing output action: "Response"

C stub function (defined in soapClient.c[pp] generated by soapcpp2):
@code
  int soap_call___ns1__FindOrders(
    struct soap *soap,
    NULL, // char *endpoint = NULL selects default endpoint for this operation
    NULL, // char *action = NULL selects default action for this operation
    // input parameters:
    ns1__OrdersQueryType*               query,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    struct __ns1__FindOrdersResponse&
  );
@endcode

C server function (called from the service dispatcher defined in soapServer.c[pp]):
@code
  int __ns1__FindOrders(
    struct soap *soap,
    // input parameters:
    ns1__OrdersQueryType*               query,
    ns1__clientAuthorizationInfoType*   auth,
    // output parameters:
    struct __ns1__FindOrdersResponse&
  );
@endcode

C++ proxy class (defined in soapOrdersManagerBindingProxy.h):
@code
  class OrdersManagerBindingProxy;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use proxy classes;

C++ service class (defined in soapOrdersManagerBindingService.h):
@code
  class OrdersManagerBindingService;
@endcode
Important: use soapcpp2 option '-j' (or '-i') to generate improved and easy-to-use service classes;

*/

//gsoap ns1  service method-protocol:	FindOrders SOAP
//gsoap ns1  service method-style:	FindOrders document
//gsoap ns1  service method-encoding:	FindOrders literal
//gsoap ns1  service method-action:	FindOrders ""
//gsoap ns1  service method-output-action:	FindOrders Response
int __ns1__FindOrders(
    ns1__OrdersQueryType*               query,	///< Input parameter
    ns1__clientAuthorizationInfoType*   auth,	///< Input parameter
    struct __ns1__FindOrdersResponse   &	///< Output response struct parameter
);

/**

@page OrdersManagerBinding Binding "OrdersManagerBinding"

@section OrdersManagerBinding_policy_enablers Policy Enablers of Binding "OrdersManagerBinding"

None specified.

*/

/******************************************************************************\
 *                                                                            *
 * XML Data Binding                                                           *
 *                                                                            *
\******************************************************************************/


/**

@page page_XMLDataBinding XML Data Binding

SOAP/XML services use data bindings contractually bound by WSDL and auto-
generated by wsdl2h and soapcpp2 (see Service Bindings). Plain data bindings
are adopted from XML schemas as part of the WSDL types section or when running
wsdl2h on a set of schemas to produce non-SOAP-based XML data bindings.

The following readers and writers are C/C++ data type (de)serializers auto-
generated by wsdl2h and soapcpp2. Run soapcpp2 on this file to generate the
(de)serialization code, which is stored in soapC.c[pp]. Include "soapH.h" in
your code to import these data type and function declarations. Only use the
soapcpp2-generated files in your project build. Do not include the wsdl2h-
generated .h file in your code.

Data can be read in XML and deserialized from:
  - a file descriptor, using soap->recvfd = fd
  - a socket, using soap->socket = ...
  - a C++ stream, using soap->is = ...
  - a buffer, using the soap->frecv() callback

Data can be serialized in XML and written to:
  - a file descriptor, using soap->sendfd = fd
  - a socket, using soap->socket = ...
  - a C++ stream, using soap->os = ...
  - a buffer, using the soap->fsend() callback

The following options are available for (de)serialization control:
  - soap->encodingStyle = NULL; to remove SOAP 1.1/1.2 encodingStyle
  - soap_mode(soap, SOAP_XML_TREE); XML without id-ref (no cycles!)
  - soap_mode(soap, SOAP_XML_GRAPH); XML with id-ref (including cycles)
  - soap_set_namespaces(soap, struct Namespace *nsmap); to set xmlns bindings


@section ns1 Top-level root elements of schema "http://www.ordersmanager.ru/"

*/

/* End of OrdersManager.h */
